/***********************************************************
 * $Id: I18N.java 4 2006-12-26 19:16:57Z wglas $
 * 
 * Utility classes of the clazzes.org project
 * http://www.clazzes.org
 *
 * Created: 2006-03-13
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 * 
 ***********************************************************/

package org.clazzes.util.annotations;

import java.lang.annotation.Documented;

/**
 * This annotation holds a translatable string mostly
 * used by another annotations.
 * 
 * @author wglas
 */
@Documented
public @interface I18N
{
	/**
	 * @return The translatable string. This string is not actually translated,
	 *         this annotation is just a marker for classes using annotations
	 *         in order to extract the string to the list of translatable strings.
	 */
	String value();
}
